Package fr.gouv.vitam.metadata.core.database.collections

# Class UnitGraphModel

java.lang.Object
fr.gouv.vitam.metadata.core.database.collections.UnitGraphModel

public class UnitGraphModel extends Object
unit graph model.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UnitGraphModel(Unit unit)`
  `UnitGraphModel(String id, String originatingAgency)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addParent(UnitGraphModel parent)`
  Add graph parent information into current graph.
  `Set<String>`
  `ancestors()`
  `Set<String>`
  `graph()`
  `String`
  `id()`
  `int`
  `maxDepth()`
  `int`
  `minDepth()`
  `Set<String>`
  `originatingAgencies()`
  `String`
  `originatingAgency()`
  `Set<String>`
  `parents()`
  `Map<String,Collection<String>>`
  `unitDepths()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UnitGraphModel

    public UnitGraphModel(String id, String originatingAgency)
    Parameters:
      `id` - unit id of unit
      `originatingAgency` - originating agency of unit

  - ### UnitGraphModel

    public UnitGraphModel(Unit unit)
    Parameters:
      `unit` -

- ## Method Details

  - ### addParent

    public void addParent(UnitGraphModel parent)
    Add graph parent information into current graph. Compute all graph information from current au.
    Parameters:
      `parent` - graph information.

  - ### id

    public String id()

  - ### parents

    public Set<String> parents()

  - ### ancestors

    public Set<String> ancestors()

  - ### originatingAgency

    public String originatingAgency()

  - ### originatingAgencies

    public Set<String> originatingAgencies()

  - ### unitDepths

    public Map<String,Collection<String>> unitDepths()

  - ### minDepth

    public int minDepth()

  - ### maxDepth

    public int maxDepth()

  - ### graph

    public Set<String> graph()